using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum NoteHitType
{
    PERFECT,
    GOOD,
    BAD,
    MISS
}

public class Note : MonoBehaviour
{
    public static Action<NoteHitType, int> OnNoteHit;
    private float noteTimer;

    public void NoteHit()
    {
        OnNoteHit(NoteHitType.PERFECT, 300);
    }

    public void SetPosition(float remainedTime)
    {

    }

}
